Name: xmoto
Version: 0.5.1
Release: alt0.M50.1

Summary: A challenging 2D motocross platform game.
License: GPL
Group: Games/Arcade
Packager: Denis Pynkin <dans@altlinux.ru>

Url: http://xmoto.tuxfamily.org
Source: %name-%version-src.tar.gz

BuildRequires: gcc-c++ libSDL-devel libSDL_mixer-devel libjpeg-devel
BuildRequires: liblua5-devel libode-devel libpng-devel libstdc++-devel
BuildRequires: zlib-devel libmesa-devel bzlib-devel libcurl-devel
BuildRequires: libSDL_gfx-devel libsqlite3-devel libSDL_ttf-devel
BuildRequires: libSDL_net-devel

%description
XMoto is a challenging 2D motocross platform game, where physics play an all important role in the gameplay. You need to control your bike to its limit, if you want to have a chance finishing the more difficult of the challenges.

%prep
%setup -q

%build

sed -i "s@/mang@/man6@g" Makefile.in

export LDFLAGS="-L%_x11libdir"
%configure --bindir=%_gamesbindir \
		--with-enable-zoom=1 \
		--with-enable-www=1 \
		--with-renderer-openGl=1

%define __nprocs 1
%make_build

%install
%make_install DESTDIR="%buildroot" install

mkdir -p %buildroot%_datadir/applications
mkdir -p %buildroot%_iconsdir
cp extra/xmoto.desktop %buildroot%_datadir/applications
cp extra/xmoto.xpm %buildroot%_iconsdir

%find_lang --output=%name.files %name

%files -f %name.files
%doc AUTHORS INSTALL README
%_gamesbindir/*
%_iconsdir/%name.xpm
%_datadir/applications/*
%_datadir/%name
%_man6dir/*

%changelog
* Sun Apr 19 2009 Denis Pynkin <dans@altlinux.ru> 0.5.1-alt0.M50.1
- Backport for branch/5.0

* Wed Apr 15 2009 Denis Pynkin <dans@altlinux.ru> 0.5.1-alt1
- 0.5.1 release - bug fixes and performance improvements

* Mon Dec 01 2008 Denis Pynkin <dans@altlinux.ru> 0.5.0-alt1
- 0.5.0 release
- Added libSDL_net in requirements

* Wed May 07 2008 Denis Pynkin <dans@altlinux.ru> 0.4.2-alt1
- 0.4.2 release

* Tue Nov 06 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt1
- 0.3.4 release.

* Wed Sep 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.3-alt1
- 0.3.3 release.

* Wed Aug 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.2-alt1
- 0.3.2 release.

* Tue Jul 17 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.1-alt1
- 0.3.1 release.

* Wed Jun 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.3.0-alt1
- 0.3.0 release.
- Some spec cleanup.
- Some buildrequires changes.

* Mon Mar 26 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.7-alt1
- 0.2.7 release.

* Thu Mar 08 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.6-alt1
- 0.2.6 release.

* Fri Jan 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 0.2.4-alt1
- 0.2.4 release.

* Thu Oct 05 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.2.2-alt1
- 0.2.2 release.
- added .desktop file.
- enabling zoom.

* Tue Sep 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.2.1-alt1
- 0.2.1 release.

* Sat Jul 29 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.2.0-alt1
- 0.2.0 release.
- Added bzlib-devel to build requires.

* Sun Jun 25 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.16-alt1
- 0.1.16 release.
- Adding libcurl-devel to BR to fetch highscores from internet,
  rebuild with fetchscores to activate this.

* Tue May 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.12-alt1
- 0.1.12 release.

* Tue Mar 21 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.11-alt2
- Fixed build with --as-needed.

* Thu Feb 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.1.11-alt1
- 0.1.11.

* Mon Dec 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.10-alt1
- 0.1.10 release.

* Sat Dec 03 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.9-alt1
- 0.1.9 release.

* Thu Nov 10 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.8-alt1
- 0.1.8 release.

* Sun Oct 30 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.7-alt1
- 0.1.7 release.
- Fixed LDFLAGS, now it should build on x86_64.

* Wed Oct 12 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.6-alt1
- 0.1.6 release.

* Wed Oct 05 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.5-alt1
- 0.1.5 release.

* Mon Sep 19 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.1.3-alt1
- Initial build for Sisyphus.

